const Assets = {
  fullPath: "Assets/Previews/",
  extension: "Typography ",
  laterExtension: " _ Story",
  length: 20,
  title: "20 Typography Instagram Stories",
};

(function () {
  const footerBuilder = (host) => {
    const footer = $("<footer/>", {
      id: "footer",
    }).insertAfter(host);
    let link = "https://videohive.net/user/oxygen_art/portfolio";
    $(`<span>&#169 All rights reserved to <a href="${link}" target="_blank">OXYGEN ART</a> | 2020 - 2023</span>`).appendTo(
      $(footer)
    );
  };

  const app = $("<div/>", {
    id: "app",
  }).appendTo("body");

  $("<div/>", {
    id: "app-title",
    text: `${Assets.title}`,
  }).appendTo($(app));

  $("<p/>", {
    id: "app-slogan",
    text: `Hover on the item image to play its preview.`,
  }).appendTo($(app));

  const previews = $("<div/>", {
    id: "previews",
  }).appendTo($(app));

  footerBuilder(app);

  $.each(new Array(Assets.length), function (number) {
    let index = number + 1;
    let container = $("<div/>", {
      class: "preview-container",
    }).appendTo($(previews));
    $("<h6/>", {
      class: "preview-container-title",
      text: `${Assets.extension}${index >= 10 ? index : `0${index}`}`,
    }).appendTo($(container));
    let preview = $("<img/>", {
      class: "preview-container-img",
      src: `${Assets.fullPath}${Assets.extension}${index >= 10 ? index : `0${index}`}${Assets.laterExtension}.png`,
    }).appendTo($(container));

    $(container).on("mouseenter", function () {
      let src = $(preview).attr("src");
      $(preview).attr("src", src.replace("png", "gif"));
    });

    $(container).on("mouseleave", function () {
      let src = $(preview).attr("src");
      $(preview).attr("src", src.replace("gif", "png"));
    });
  });
})();
